import 'package:flutter/material.dart';
import 'package:flutter_pravatar/flutter_pravatar.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Pravatar',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: const Demo(),
    );
  }
}

class Demo extends StatelessWidget {
  const Demo({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);
    return Scaffold(
      appBar: AppBar(
        title: const Text('Pravatar'),
      ),
      body: CustomScrollView(
        slivers: [
          SliverToBoxAdapter(
            child: Text(
              'Unique id',
              style: theme.textTheme.headline2,
            ),
          ),
          SliverGrid(
            gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
              crossAxisCount: 3,
              childAspectRatio: 1.0,
            ),
            delegate: SliverChildListDelegate(
              [
                for (var i = 1; i < 26; i++)
                  Pravatar.uniqueId('user${i}0@email.com'),
              ],
            ),
          ),
          SliverToBoxAdapter(
            child: Text(
              'Image id',
              style: theme.textTheme.headline2,
            ),
          ),
          SliverGrid(
            gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
              crossAxisCount: 3,
              childAspectRatio: 1.0,
            ),
            delegate: SliverChildListDelegate(
              [
                for (var i = 1; i < 26; i++) Pravatar.imageId(i),
              ],
            ),
          ),
          SliverToBoxAdapter(
            child: Text(
              'Random',
              style: theme.textTheme.headline2,
            ),
          ),
          SliverGrid(
            gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
              crossAxisCount: 3,
              childAspectRatio: 1.0,
            ),
            delegate: SliverChildListDelegate(
              [
                for (var i = 0; i < 42; i++) const Pravatar.random(),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
